function [Ih] = integrate_rect(f,a,b,N)
% Approximiert das Integral von f ueber das Intervall I=[a,b] mit der
% Rechtecksregel auf N aequidistanten Teilintervallen.

h = (b-a)/N; % Laenge jedes Teilintervalls
Ih = 0; % Initialisiere Rechteckssumme auf 0

for i=1:N
    Ih = Ih + f(a+(i-1)*h);
end
Ih = h*Ih; % Multiplikation mit h, wurde ausgeklammert.

end