% Heron- bzw. Newton-Verfahren zur Berechnung von sqrt(2)

% Initialisiere Startwerte. Der "kuenstliche" Wert x(1) = 0 ist
% erforderlich, damit die while-Schleife beim ersten Mal ueberhaupt
% durchgefuehrt wird.
x = [0 2];
tolerance = 1e-8; % = 10^(-8)
k = 1; % Zaehle Iterationen

while abs(x(k+1)-x(k))
   x(k+2) = 0.5*(x(k+1)+2/x(k+1));
   k = k+1; % Zaehle Iterationen
end

fprintf('Nach %d Iterationen liefert das Verfahren: %d\n',k,x(end));

% Das Verfahren konvergiert sehr schnell gegen Wurzel 2