tic
f40 = fib_recursive(40);
toc

% Die Berechnung ist sehr zeitintensiv, da extrem viele Rechenschritte
% mehrfach ausgefhrt werden.
% Zum Beispiel wird bei der Berechnung von f5 folgendes getan:
% f6 = f5 + f4
%    = (f4 + f3) + (f3 + f2)
%    = (f3 + f2) + (f2 + f1) + (f2 + f1) + f2
%    = (F2 + f1) + f2 + f2 + f1 + f2 + f1 + f2
% Bereits hier wird beispielsweise f3 dreimal berechnet.
% Man kann sich leicht klar machen, dass die Anzahl der Additionen A(n),
% die bentigt wird, um f(n) zu berechnen, das Gesetz A(1) = A(2) = 0
% (siehe if-Abfrage), sowie
% A(n+1) = A(n) + A(n-1) + 1 erfllt, da zur Berechnung von f(n+1) die
% Additionen zur Berechnung von f(n) und f(n-1) bentigt wurden sowie eine
% weitere Addition.
% Insbesondere erfllt A(n) eine hnliche Rekursionsformel wie die
% Fibonacci-Folge und wchst damit exponentiell, da f(n) wie g^N wchst,
% wobei g der goldene Schnitt ist (g = 1.618 ca)